Bug 1401446 - dnf does not report cleaning packages
dnf does not report cleaning packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-05 04:55 EST by customercare
Modified: 2017-04-01 13:21 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-2.2.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-01 13:21:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description customercare 2016-12-05 04:55:29 EST
Description of problem:

dnf does not report, that it removed or cleand packages on behalf of a clean command.

This is only a cosmetic problem, because it does what it is asked to do,
but if you reply on the feedback of this output, your screwed.

I believe the output "0 files removed" of "dnf clean expire-cache" is wrong, because it actually did something to remove old data.

It should be as usual "x files removed" or "expire-cache cleaned"


Version-Release number of selected component (if applicable):

python2-dnf-1.1.10-1.fc23.noarch
dnf-yum-1.1.10-1.fc23.noarch
dnf-conf-1.1.10-1.fc23.noarch

How reproducible:

100%

Actual results:

"0 files removed"

Expected results:

"XXX files removed"

Additional info:

[root@s120 ~]# dnf update rdt-wordpress
Letzte Prüfung auf abgelaufene Metadaten: vor 0:45:54 am Mon Dec  5 10:01:31 2016.
Abhängigkeiten sind aufgelöst.
Nichts zu tun.
Komplett!
[root@s120 ~]# dnf clean expire-cache;dnf update rdt-wordpress
0 files removed
Fedora 23 - i386 - Updates                                                                                                                                                                                                                      9.6 MB/s |  23 MB     00:02    
Fedora 23 - i386 - Resellerdesktop                                                                                                                                                                                                              8.6 MB/s |  65 kB     00:00    
mod-pagespeed                                                                                                                                                                                                                                    49 kB/s | 2.2 kB     00:00    
Abhängigkeiten sind aufgelöst.
================================================================================================================================================================================================================================================================================
 Package                                                                  Arch                                                            Version                                                          Paketquelle                                                    Größe
================================================================================================================================================================================================================================================================================
Aktualisieren:
 rdt-wordpress                                                            i686                                                            6-5                                                              rdt                                                            9.1 M

Transaktionsübersicht
================================================================================================================================================================================================================================================================================
Aktualisieren  1 Paket

Gesamte Downloadgröße: 9.1 M
Ist dies in Ordnung? [j/N]: j
Pakete werden heruntergeladen:
rdt-wordpress-6-5.i686.rpm                                                                                                                                                                                                                      5.0 MB/s | 9.1 MB     00:01    
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Gesamt                                                                                                                                                                                                                                          5.0 MB/s | 9.1 MB     00:01     
Transaktionsüberprüfung wird ausgeführt
Transaktionsprüfung war erfolgreich.
...
Comment 1 Jaroslav Mracek 2016-12-05 07:31:30 EST
We can add 'Cache was expired'
Comment 2 Jaroslav Mracek 2017-03-05 04:08:17 EST
I created pull-request that improve the behavior of DNF: https://github.com/rpm-software-management/dnf/pull/757
Comment 3 Fedora Update System 2017-03-21 08:07:51 EDT
dnf-2.1.1-1.fc26 libdnf-0.8.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b
Comment 4 Fedora Update System 2017-03-21 10:27:16 EDT
dnf-2.1.1-1.1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b
Comment 5 Fedora Update System 2017-03-27 15:20:49 EDT
dnf-2.2.0-1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b
Comment 6 Fedora Update System 2017-04-01 13:21:52 EDT
dnf-2.2.0-1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.